//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
	FServerURL = "http://192.168.1.10:8097";
	FURL = "";
	WebBrowser1->EnableCaching = false;
	FStrList = new TStringList();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	TMemoryStream * Mem = new TMemoryStream();
	HTTPReqResp1->URL = FServerURL + "/getvariable=SERVER_REPORTS_LIST";
	HTTPReqResp1->Get(Mem);
	Mem->Position = 0;
	FStrList->LoadFromStream(Mem);
	Form2->ListBox1->Clear();
	for(int i = 0; i < FStrList->Count; i++)
		if(((i + 1) % 3) == 0)
			Form2->ListBox1->Items->Add(FStrList->Strings[i - 2]);
	Form2->OnClose = FormClose;
	Form2->Show();
	delete Mem;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
   delete FStrList;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
	if( FStrList->Count < Form2->Selected * 3 + 1) return;
	FURL = FServerURL + "/result?report=" + FStrList->Strings[Form2->Selected * 3 + 1] + "&pagenav=0";
	WebBrowser1->URL = FURL;
	FnPage = 1;
	Button2Click(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	if(WebBrowser1->URL == "") return;
	WebBrowser1->Navigate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
	if (FnPage < 1) return;
	FnPage--;
	WebBrowser1->URL = FURL + "&pagerange=" + IntToStr(FnPage);
	WebBrowser1->Navigate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
	FnPage++;
	WebBrowser1->URL = FURL + "&pagerange=" + IntToStr(FnPage);
	WebBrowser1->Navigate();
}
//---------------------------------------------------------------------------
