//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "frxADOComponents"
#pragma link "frxChart"
#pragma link "frxClass"
#pragma link "frxDesgn"
#pragma link "frxExportCSV"
#pragma link "frxExportHTML"
#pragma link "frxExportPDF"
#pragma link "frxExportRTF"
#pragma link "frxServer"
#pragma link "frxServerConfig"
#pragma link "frxServerStat"
#pragma link "frxUtils"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}

const UnicodeString StrStatus = "Server status: ";
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
	ServerDatabase->ConnectionString = ServerConfig->GetValue("server.database.ConnectionString");
	try
	{
		ServerDatabase->Open();
		ServerStatLB->Caption = StrStatus + "Database connected!";
		StopServB->Enabled = false;
	}
	catch(...)
	{
		ServerStatLB->Caption = StrStatus + "cannot connect to database!";
	}

}

//---------------------------------------------------------------------------
void __fastcall TForm1::StartServBClick(TObject *Sender)
{
	if(ServerDatabase->Connected)
	{
		frxReportServer1->Open();
		if(frxReportServer1->Active)
		{
			StartServB->Enabled = false;
			StopServB->Enabled = false;
			ServerStatLB->Caption = StrStatus + "server is running";
		}
	}

}
//---------------------------------------------------------------------------
void __fastcall TForm1::StopServBClick(TObject *Sender)
{
	frxReportServer1->Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::DesignReportBClick(TObject *Sender)
{
	AnsiString TemplatesF = ServerConfig->GetValue("server.reports.path");
	TemplatesF.Delete(1, 2);
	frxDesigner1->OpenDir = ExtractFilePath(Application->ExeName) + TemplatesF;
	frxReport1->DesignReport();
	frxReportServer1->Close();
	frxReportServer1->Open();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
	TotalSE->Text = IntToStr(ServerStatistic->TotalSessionsCount);
	TotalRepE->Text = IntToStr(ServerStatistic->TotalReportsCount);
	CurSE->Text = IntToStr(ServerStatistic->CurrentSessionsCount);
	CurRepE->Text = IntToStr(ServerStatistic->CurrentReportsCount);
	if(frxReportServer1->Active)
	{
		StartServB->Enabled = false;
		StopServB->Enabled = true;
		ServerStatLB->Caption = StrStatus + "server is running";
	}
	else
	{
		StartServB->Enabled = true;
		StopServB->Enabled = false;
		ServerStatLB->Caption = StrStatus + "server stoped";
    }

}
//---------------------------------------------------------------------------
