//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "frxADOComponents.hpp"
#include "frxChart.hpp"
#include "frxClass.hpp"
#include "frxDesgn.hpp"
#include "frxExportCSV.hpp"
#include "frxExportHTML.hpp"
#include "frxExportPDF.hpp"
#include "frxExportRTF.hpp"
#include "frxServer.hpp"
#include "frxServerConfig.hpp"
#include "frxServerStat.hpp"
#include "frxUtils.hpp"
#include <Data.DB.hpp>
#include <Data.Win.ADODB.hpp>
#include <Vcl.ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TfrxReportServer *frxReportServer1;
	TfrxDesigner *frxDesigner1;
	TfrxReport *frxReport1;
	TfrxChartObject *frxChartObject1;
	TfrxADOComponents *frxADOComponents1;
	TfrxPDFExport *frxPDFExport1;
	TfrxHTMLExport *frxHTMLExport1;
	TfrxRTFExport *frxRTFExport1;
	TfrxCSVExport *frxCSVExport1;
	TADOConnection *ServerDatabase;
	TButton *StartServB;
	TButton *DesignReportB;
	TButton *StopServB;
	TLabel *ServerStatLB;
	TLabel *TotalSLB;
	TEdit *TotalSE;
	TLabel *TotalRepLB;
	TEdit *TotalRepE;
	TLabel *CurSLB;
	TEdit *CurSE;
	TLabel *CurRepLB;
	TEdit *CurRepE;
	TTimer *Timer1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall StartServBClick(TObject *Sender);
	void __fastcall StopServBClick(TObject *Sender);
	void __fastcall DesignReportBClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
